GinqExpression (Groovy 5.0.0)
Description: declaration: package: org.apache.groovy.ginq.dsl.expression, class: GinqExpression

Package org.apache.groovy.ginq.dsl.expression

# Class GinqExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression
org.apache.groovy.ginq.dsl.expression.GinqExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

public class GinqExpression extends AbstractGinqExpression
Represents GINQ expression, which has the following structure:

         ginq
         |__ from
         |__ [innerjoin/leftjoin/rightjoin/fulljoin/crossjoin]*
         |   |__ on
         |__ [where]
         |__ [groupby]
         |   |__ [having]
         |__ [orderby]
         |__ [limit]
         |__ select

(Note: [ ] means optional)

Since:
  4.0.0

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GinqExpression()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<R> R`
  `accept(GinqAstVisitor<R> visitor)`
  `void`
  `addJoinExpression(JoinExpression joinExpression)`
  `FromExpression`
  `getFromExpression()`
  `GroupExpression`
  `getGroupExpression()`
  `List<JoinExpression>`
  `getJoinExpressionList()`
  `LimitExpression`
  `getLimitExpression()`
  `OrderExpression`
  `getOrderExpression()`
  `SelectExpression`
  `getSelectExpression()`
  `String`
  `getText()`
  `WhereExpression`
  `getWhereExpression()`
  `void`
  `setFromExpression(FromExpression fromExpression)`
  `void`
  `setGroupExpression(GroupExpression groupExpression)`
  `void`
  `setLimitExpression(LimitExpression limitExpression)`
  `void`
  `setOrderExpression(OrderExpression orderExpression)`
  `void`
  `setSelectExpression(SelectExpression selectExpression)`
  `void`
  `setWhereExpression(WhereExpression whereExpression)`
  `String`
  `toString()`
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression

  `transformExpression`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getMetaDataMap, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setMetaDataMap, setNodeMetaData`

- ## Constructor Details

  - ### GinqExpression

    public GinqExpression()

- ## Method Details

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `AbstractGinqExpression`

  - ### accept

    public <R> R accept(GinqAstVisitor<R> visitor)
    Specified by:
      `accept` in class `AbstractGinqExpression`

  - ### getFromExpression

    public FromExpression getFromExpression()

  - ### setFromExpression

    public void setFromExpression(FromExpression fromExpression)

  - ### getJoinExpressionList

    public List<JoinExpression> getJoinExpressionList()

  - ### addJoinExpression

    public void addJoinExpression(JoinExpression joinExpression)

  - ### setWhereExpression

    public void setWhereExpression(WhereExpression whereExpression)

  - ### getWhereExpression

    public WhereExpression getWhereExpression()

  - ### getGroupExpression

    public GroupExpression getGroupExpression()

  - ### setGroupExpression

    public void setGroupExpression(GroupExpression groupExpression)

  - ### getOrderExpression

    public OrderExpression getOrderExpression()

  - ### setOrderExpression

    public void setOrderExpression(OrderExpression orderExpression)

  - ### getLimitExpression

    public LimitExpression getLimitExpression()

  - ### setLimitExpression

    public void setLimitExpression(LimitExpression limitExpression)

  - ### getSelectExpression

    public SelectExpression getSelectExpression()

  - ### setSelectExpression

    public void setSelectExpression(SelectExpression selectExpression)

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ASTNode`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`